Bug 27204 - Various problems with `--with-jay' configure option
Summary: Various problems with `--with-jay' configure option
Status: RESOLVED FIXED
Alias: None
Product: classpath
Classification: Unclassified
Component: classpath (show other bugs)
Version: 0.90
: P3 normal
Target Milestone: ---
Assignee: Andrew John Hughes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-18 20:27 UTC by David Walluck
Modified: 2008-02-21 13:42 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2007-10-12 07:37:20


Attachments
Fix for `--with-jay' configure option (693 bytes, patch)
2006-04-18 20:29 UTC, David Walluck
Details | Diff
Committed patch (736 bytes, patch)
2008-02-21 13:40 UTC, Andrew John Hughes
Details | Diff
Committed patch (736 bytes, patch)
2008-02-21 13:40 UTC, Andrew John Hughes
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Walluck 2006-04-18 20:27:59 UTC
The current `--with-jay' configure options has a few problems.

* The help message should indicate that a DIR or PATH is required.
* The search for the jay executable should check ${PATH}.
* It should print its progress with AC_MSG_CHECKING/AC_MSG_RESULT.
* It has (unintentional) double quotes in error message output.
* It requires that one specify a path to the jay datadir or the jay binary.
* It treats the special value `yes' as a directory. 

The patch attempts to fix these problems. It keeps the original behavior while treating `yes' as a special case. If `yes' is specified, then `/usr/share/jay' is used as the default location.

It is also possible to expand ${datadir}/jay to get the default path, although I am not sure that this would be a better option.
Comment 1 David Walluck 2006-04-18 20:29:11 UTC
Created attachment 11294 [details]
Fix for `--with-jay' configure option
Comment 2 Andrew John Hughes 2007-10-07 23:14:39 UTC
Should we apply this patch? Does David have an appropriate assignment?
Comment 3 Andrew John Hughes 2007-10-12 07:37:20 UTC
David doesn't have an assignment, but the patch may be trivial enough to include.  
Comment 4 Andrew John Hughes 2008-02-21 13:40:34 UTC
Created attachment 15194 [details]
Committed patch
Comment 5 Andrew John Hughes 2008-02-21 13:40:36 UTC
Created attachment 15195 [details]
Committed patch
Comment 6 Andrew John Hughes 2008-02-21 13:42:04 UTC
CVSROOT:        /sources/classpath
Module name:    classpath
Changes by:     Andrew John Hughes <gnu_andrew> 08/02/21 13:36:16

Modified files:
       .              : ChangeLog
       m4             : acinclude.m4

Log message:
       2008-02-21  David Walluck  <david@jpackage.org>

               PR classpath/27204:
               * m4/acinclude.m4:
               (REGEN_WITH_JAY): Handle 'yes' as a default,
               not a directory and give more user-friendly output.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/classpath/ChangeLog?cvsroot=classpath&r1=1.9519&r2=1.9520
http://cvs.savannah.gnu.org/viewcvs/classpath/m4/acinclude.m4?cvsroot=classpath&r1=1.33&r2=1.34
Comment 7 Andrew John Hughes 2008-02-21 13:42:28 UTC
Committed. Closing.